* {
    /border: 2px solid
}

#landing-body {

    /* background: -webkit-radial-gradient(center, #A98287 0%, #E3D5DD 63%, #A98287 100%); */
    height: 100vh;
    max-height: 100vh;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    background-repeat: no-repeat;
    background-size: cover;
    transition: opacity 0.4s ease-in-out;
    background: radial-gradient(var(--colorPurpleLight) 10%, var(--colorPurpleDeep) 90%);


}

/* .overlay {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
} */


/* home section */
.home {

    height: 100vh;
    width: 50vw;
    color: #fff;
    min-height: 500px;
    background: transparent;
    font-family: 'Ubuntu', sans-serif;

}

#landing-img {
    display: flex;
    justify-content: center;
}

#landing-estie {
    position: fixed;
    top: 5%;
    height: 90%;
    width: 45%;
    opacity: 0.35;
    border-radius:50%;
    box-shadow: 5px 5px 35px 5px var(--colorPurpleDeep);
    z-index: -1
}

/* Add any other styles you need for the .home element */

.home .max-width {
    width: 100%;
    height: 100%;
    display: flex;
    justify-content: center;
    text-align: center;
    flex-direction: column;
    align-items: center;


}

.home .max-width .row {
    margin-right: 0;
}

.home .max-width .home-content {
    position: absolute;
    transform: translate(0, -30%);
    display: flex;
    flex-direction: column;
    gap: 0.4rem;
    width: 100%;

}

.home .home-content .text-1 {
    font-size: 2rem;

}

.home .home-content .text-2 {
    font-size: 4rem;
    font-weight: 600;


}

.home .home-content .text-3 {
   
    margin-top: 2%;
   
    
}

.typing {
    color: var(--colorPurpleDeep);
    font-weight: 600;
    font-size: 45px;
    text-shadow: 1px 1px 1px white;
    opacity: 0.8
}


#entry-container {
    position: absolute;
    transform: translate(0,60%);
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    width: 16%;
    background-color: var(--colorOffWhite);
    overflow: hidden;
    border-radius: 0.8rem;
    height: 7%;
    z-index: 5;
    color: black;
    margin-top: 20%;
    cursor: pointer;

}

#entry-container:hover {
    cursor: pointer;
    background-color: var(--colorPurpleLight);
    border: 2px solid var(--colorPurpleDeep);
    transition: all 0.2s ease-in-out;

}


#text-shadow-container {
    color: rgba(0, 0, 0, 0.9);
    font-family: 'Arial, Helvetica, sans-serif', cursive;
    display: flex;
    text-align: center;
}

#entry-button-area {
    display: flex;
    justify-content: center;
    align-items: center;
}


#entry-button-area:hover p {}

#entry-button-area:hover #entry-arrow {}


#entry-container p {
    font-size: 2rem;
    letter-spacing: 1px;
    padding-right: 7%;
    padding-bottom: 5%;
    color: var(--colorPurpleDeep)
}

#entry-arrow {
    position: relative;
    background: transparent;
    border: none;
    font-size: 1.2rem;
    color: var(--colorPurpleDeep)
}




@media (max-width: 947px) {

    .home {
        height: 90%;
        width: 85%;
    }

    .home::before {
        background-size: 100% 100%;
    }

    .home .home-content .text-1 {}

    .home .home-content .text-2 {
        font-size: 70px;
    }


        #landing-estie {
            height: 90%;
            width: 90%;
         
        }

}

@media (max-width: 690px) {

    #entry-container {
        margin-top: 30%;
        width: 30%;
    }

}


@media (max-width: 500px) {
    .home {
        width: 95%;
        height: 80%;
        margin: auto 0;
        bottom: 2rem;
    }

.home .max-width .home-content {
    transform: translate(0, -50%);
}
    .home .home-content .text-2 {
        font-size: 50px;


    }

    .home .home-content .text-1,
    .home .home-content .text-3 {
        font-size: 27px;
    }

     

    .typing {

        font-size: 35px;

    }

    #entry-container {
        width: 55%;
        height: 11%;
        
    }
        #entry-container p {
            font-size: 32px
        }

}



.fade-out {
    opacity: 0
}

.fade-in {
    .fade-in {
        opacity: 1;
        transition: opacity 2s ease-in-out;
    }
}